def lafs():
    return {
        'lv-net': {
            'peak': 1.089,
            'winter-weekday': 1.085,
            'other': 1.078,
            'night': 1.074},
        'lv-sub': {
            'peak': 1.061,
            'winter-weekday': 1.059,
            'other': 1.056,
            'night': 1.057},
        'hv-net': {
            'peak': 1.042,
            'winter-weekday': 1.040,
            'other': 1.035,
            'night': 1.029},
        'hv-sub': {
            'peak': 1.021,
            'winter-weekday': 1.020,
            'other': 1.018,
            'night': 1.017}}


def tariffs():
    return {
        '001,477,909': {
            'description': 'LV Generation Intermittent',
            'gbp-per-mpan-per-day': 0.00,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.00671,
            'amber-gbp-per-kwh': -0.00671,
            'green-gbp-per-kwh': -0.00671,
            'gbp-per-kvarh': 0.00192},
        '002': {
            'description': 'LV Generation Non-Intermittent',
            'gbp-per-mpan-per-day': 0.00,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.04469,
            'amber-gbp-per-kwh': -0.00908,
            'green-gbp-per-kwh': -0.00144,
            'gbp-per-kvarh': 0.00192},
        '003': {
            'description': 'LV Sub Generation Intermittent',
            'gbp-per-mpan-per-day': 0.00,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.00584,
            'amber-gbp-per-kwh': -0.00584,
            'green-gbp-per-kwh': -0.00584,
            'gbp-per-kvarh': 0.00178},
        '004': {
            'description': 'LV Sub Generation Non-Intermittent',
            'gbp-per-mpan-per-day': 0.00,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.04026,
            'amber-gbp-per-kwh': -0.00761,
            'green-gbp-per-kwh': -0.00121,
            'gbp-per-kvarh': 0.00178},
        '005': {
            'description': 'HV Generation Intermittent',
            'gbp-per-mpan-per-day': 0.9881,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.00350,
            'amber-gbp-per-kwh': -0.00350,
            'green-gbp-per-kwh': -0.00350,
            'gbp-per-kvarh': 0.00151},
        '006,478,910': {
            'description': 'HV Generation Non-Intermittent',
            'gbp-per-mpan-per-day': 0.9868,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.02871,
            'amber-gbp-per-kwh': -0.00361,
            'green-gbp-per-kwh': -0.00059,
            'gbp-per-kvarh': 0.00151},
        '007': {
            'description': 'HV Sub Generation Intermittent',
            'gbp-per-mpan-per-day': 0.9881,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.00272,
            'amber-gbp-per-kwh': -0.00272,
            'green-gbp-per-kwh': -0.00272,
            'gbp-per-kvarh': 0.00073},
        '008': {
            'description': 'HV Sub Generation Non Intermittent',
            'gbp-per-mpan-per-day': 0.9881,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.02346,
            'amber-gbp-per-kwh': -0.00261,
            'green-gbp-per-kwh': -0.00041,
            'gbp-per-kvarh': 0.00073},
        '453,470': {
            'description': 'LV HH Metered',
            'gbp-per-mpan-per-day': 0.0831,
            'gbp-per-kva-per-day': 0.0230,
            'excess-gbp-per-kva-per-day': 0.0230,
            'red-gbp-per-kwh': 0.06,
            'amber-gbp-per-kwh': 0.00883,
            'green-gbp-per-kwh': 0.00149,
            'gbp-per-kvarh': 0.00235},
        '455': {
            'description': 'LVS HH Metered',
            'gbp-per-mpan-per-day': 0.0328,
            'gbp-per-kva-per-day': 0.0433,
            'excess-gbp-per-kva-per-day': 0.0433,
            'red-gbp-per-kwh': 0.04672,
            'amber-gbp-per-kwh': 0.00482,
            'green-gbp-per-kwh': 0.00086,
            'gbp-per-kvarh': 0.00168},
        '658,476': {
            'description': 'HV HH Metered',
            'gbp-per-mpan-per-day': 0.7978,
            'gbp-per-kva-per-day': 0.0485,
            'excess-gbp-per-kva-per-day': 0.0485,
            'red-gbp-per-kwh': 0.03745,
            'amber-gbp-per-kwh': 0.00325,
            'green-gbp-per-kwh': 0.00057,
            'gbp-per-kvarh': 0.00116},
        '660': {
            'description': 'HVS HH Metered',
            'gbp-per-mpan-per-day': 1.3414,
            'gbp-per-kva-per-day': 0.0306,
            'excess-gbp-per-kva-per-day': 0.0306,
            'red-gbp-per-kwh': 0.03417,
            'amber-gbp-per-kwh': 0.00244,
            'green-gbp-per-kwh': 0.00042,
            'gbp-per-kvarh': 0.00094}}