def lafs():
    return {
        'lv-net': {
            'peak': 1.087,
            'winter-weekday': 1.080,
            'other': 1.073,
            'night': 1.070},
        'lv-sub': {
            'peak': 1.062,
            'winter-weekday': 1.058,
            'other': 1.056,
            'night': 1.056},
        'hv-net': {
            'peak': 1.044,
            'winter-weekday': 1.039,
            'other': 1.034,
            'night': 1.029},
        'hv-sub': {
            'peak': 1.021,
            'winter-weekday': 1.019,
            'other': 1.018,
            'night': 1.016}}


def tariffs():
    return {
        '001,477,909': {
            'description': 'LV Generation Intermittent',
            'gbp-per-mpan-per-day': 0.00,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.00676,
            'amber-gbp-per-kwh': -0.00676,
            'green-gbp-per-kwh': -0.00676,
            'gbp-per-kvarh': 0.00186},
        '002': {
            'description': 'LV Generation Non-Intermittent',
            'gbp-per-mpan-per-day': 0.00,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.04946,
            'amber-gbp-per-kwh': -0.00987,
            'green-gbp-per-kwh': -0.00068,
            'gbp-per-kvarh': 0.00186},
        '003': {
            'description': 'LV Sub Generation Intermittent',
            'gbp-per-mpan-per-day': 0.00,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.00590,
            'amber-gbp-per-kwh': -0.00590,
            'green-gbp-per-kwh': -0.00590,
            'gbp-per-kvarh': 0.00173},
        '004': {
            'description': 'LV Sub Generation Non-Intermittent',
            'gbp-per-mpan-per-day': 0.00,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.04526,
            'amber-gbp-per-kwh': -0.00813,
            'green-gbp-per-kwh': -0.00056,
            'gbp-per-kvarh': 0.00173},
        '005': {
            'description': 'HV Generation Intermittent',
            'gbp-per-mpan-per-day': 0.9811,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.00354,
            'amber-gbp-per-kwh': -0.00354,
            'green-gbp-per-kwh': -0.00354,
            'gbp-per-kvarh': 0.00151},
        '006,478,910': {
            'description': 'HV Generation Non-Intermittent',
            'gbp-per-mpan-per-day': 0.9913,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.03408,
            'amber-gbp-per-kwh': -0.00330,
            'green-gbp-per-kwh': -0.00020,
            'gbp-per-kvarh': 0.00147},
        '007': {
            'description': 'HV Sub Generation Intermittent',
            'gbp-per-mpan-per-day': 0.9913,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.00276,
            'amber-gbp-per-kwh': -0.00276,
            'green-gbp-per-kwh': -0.00276,
            'gbp-per-kvarh': 0.00072},
        '008': {
            'description': 'HV Sub Generation Non Intermittent',
            'gbp-per-mpan-per-day': 0.9913,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.02761,
            'amber-gbp-per-kwh': -0.00232,
            'green-gbp-per-kwh': -0.00014,
            'gbp-per-kvarh': 0.00072},
        '453,470': {
            'description': 'LV HH Metered',
            'gbp-per-mpan-per-day': 0.0834,
            'gbp-per-kva-per-day': 0.0238,
            'excess-gbp-per-kva-per-day': 0.0238,
            'red-gbp-per-kwh': 0.09729,
            'amber-gbp-per-kwh': 0.01078,
            'green-gbp-per-kwh': 0.00061,
            'gbp-per-kvarh': 0.00309},
        '455': {
            'description': 'LVS HH Metered',
            'gbp-per-mpan-per-day': 0.0329,
            'gbp-per-kva-per-day': 0.0455,
            'excess-gbp-per-kva-per-day': 0.0455,
            'red-gbp-per-kwh': 0.08357,
            'amber-gbp-per-kwh': 0.00606,
            'green-gbp-per-kwh': 0.00027,
            'gbp-per-kvarh': 0.00243},
        '658,476': {
            'description': 'HV HH Metered',
            'gbp-per-mpan-per-day': 0.8004,
            'gbp-per-kva-per-day': 0.0509,
            'excess-gbp-per-kva-per-day': 0.0509,
            'red-gbp-per-kwh': 0.06871,
            'amber-gbp-per-kwh': 0.00431,
            'green-gbp-per-kwh': 0.00017,
            'gbp-per-kvarh': 0.00177},
        '660': {
            'description': 'HVS HH Metered',
            'gbp-per-mpan-per-day': 1.4038226,
            'gbp-per-kva-per-day': 0.0322524,
            'excess-gbp-per-kva-per-day': 0.0322524,
            'red-gbp-per-kwh': 0.05521152,
            'amber-gbp-per-kwh': 0.00343872,
            'green-gbp-per-kwh': 0.00069012,
            'gbp-per-kvarh': 0.0012648}}