def lafs():
    return {
        'lv-net': {
            'peak': 1.088,
            'winter-weekday': 1.081,
            'other': 1.073,
            'night': 1.070},
        'lv-sub': {
            'peak': 1.051,
            'winter-weekday': 1.049,
            'other': 1.047,
            'night': 1.049},
        'hv-net': {
            'peak': 1.035,
            'winter-weekday': 1.032,
            'other': 1.028,
            'night': 1.025},
        'hv-sub': {
            'peak': 1.025,
            'winter-weekday': 1.023,
            'other': 1.020,
            'night': 1.019}}


def tariffs():
    return {
        '001,477,909': {
            'description': 'LV Generation Intermittent',
            'gbp-per-mpan-per-day': 0.00,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.00713,
            'amber-gbp-per-kwh': -0.00713,
            'green-gbp-per-kwh': -0.00713,
            'gbp-per-kvarh': 0.00192},
        '002': {
            'description': 'LV Generation Non-Intermittent',
            'gbp-per-mpan-per-day': 0.00,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.05447,
            'amber-gbp-per-kwh': -0.00922,
            'green-gbp-per-kwh': -0.00091,
            'gbp-per-kvarh': 0.00192},
        '003': {
            'description': 'LV Sub Generation Intermittent',
            'gbp-per-mpan-per-day': 0.00,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.00620,
            'amber-gbp-per-kwh': -0.00620,
            'green-gbp-per-kwh': -0.00620,
            'gbp-per-kvarh': 0.00174},
        '004': {
            'description': 'LV Sub Generation Non-Intermittent',
            'gbp-per-mpan-per-day': 0.00,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.04891,
            'amber-gbp-per-kwh': -0.00747,
            'green-gbp-per-kwh': -0.00069,
            'gbp-per-kvarh': 0.00174},
        '005': {
            'description': 'HV Generation Intermittent',
            'gbp-per-mpan-per-day': 1.1710,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.00367,
            'amber-gbp-per-kwh': -0.00367,
            'green-gbp-per-kwh': -0.00367,
            'gbp-per-kvarh': 0.00149},
        '006,478,910': {
            'description': 'HV Generation Non-Intermittent',
            'gbp-per-mpan-per-day': 1.1710,
            'gbp-per-kva-per-day': 0.00,
            'excess-gbp-per-kva-per-day': 0.00,
            'red-gbp-per-kwh': -0.03692,
            'amber-gbp-per-kwh': -0.00310,
            'green-gbp-per-kwh': -0.00013,
            'gbp-per-kvarh': 0.00149},
        '453,470': {
            'description': 'LV HH Metered',
            'gbp-per-mpan-per-day': 0.0985,
            'gbp-per-kva-per-day': 0.0249,
            'excess-gbp-per-kva-per-day': 0.0249,
            'red-gbp-per-kwh': 0.09980,
            'amber-gbp-per-kwh': 0.00946,
            'green-gbp-per-kwh': 0.00067,
            'gbp-per-kvarh': 0.00312},
        '455': {
            'description': 'LVS HH Metered',
            'gbp-per-mpan-per-day': 0.0388,
            'gbp-per-kva-per-day': 0.0459,
            'excess-gbp-per-kva-per-day': 0.0459,
            'red-gbp-per-kwh': 0.07520,
            'amber-gbp-per-kwh': 0.00463,
            'green-gbp-per-kwh': 0.00013,
            'gbp-per-kvarh': 0.00206},
        '658,476': {
            'description': 'HV HH Metered',
            'gbp-per-mpan-per-day': 0.9455,
            'gbp-per-kva-per-day': 0.0514,
            'excess-gbp-per-kva-per-day': 0.0514,
            'red-gbp-per-kwh': 0.06873,
            'amber-gbp-per-kwh': 0.00362,
            'green-gbp-per-kwh': 0.00007,
            'gbp-per-kvarh': 0.00172},
	'931': {
	    'description': 'LV Generation NHH',
	    'gbp-per-mpan-per-day': 0,
	    'gbp-per-kva-per-day': 0,
	    'excess-gbp-per-kva-per-day': 0,    
	    'red-gbp-per-kwh': -0.00713,
	    'amber-gbp-per-kwh': -0.00713,
	    'green-gbp-per-kwh': -0.00713,
	    'gbp-per-kvarh': 0},
	'932': {
	    'description': 'LV Sub Generation NHH',
	    'gbp-per-mpan-per-day': 0,
	    'gbp-per-kva-per-day': 0,
	    'excess-gbp-per-kva-per-day': 0,    
	    'red-gbp-per-kwh': -0.00610,
	    'amber-gbp-per-kwh': -0.00610,    
	    'green-gbp-per-kwh': -0.00610,    
	    'gbp-per-kvarh': 0},
	'993': {
	    'description': 'LV Sub Generation NHH',
	    'gbp-per-mpan-per-day': 0,
	    'gbp-per-kva-per-day': 0,
	    'excess-gbp-per-kva-per-day': 0,    
	    'red-gbp-per-kwh': -0.00610,
	    'amber-gbp-per-kwh': -0.00610,    
	    'green-gbp-per-kwh': -0.00610,    
	    'gbp-per-kvarh': 0}}

